EFILTER(1)

NCBI "NCBI Entrez Direct User's Manual"

NAME
efilter - filter and/or sort NCBI Entrez search results

SYNOPSIS
efilter (efetch -filter) [-help] [-q[uery] str] [-sort field] [-days N] [-datetype field] [-mindate date] [-maxdate date] [-field field] [-pairs field] [-spell] [-pub type] [-journal name] [-released when] [-country name] [-feature type] [-location type] [-molecule type] [-organism type] [-source type] [-division code] [-status alive] [-type type] [-class class] [-kind pathway] [-pathway type]

DESCRIPTION
efilter filters and/or sorts results from a previous edirect(1) search. It has two implementations: a shell implementation on top of nquire(1) and a historical Perl implementation that amounts to running edirect -filter, enabled by setting the environment variable USE_NEW_EDIRECT to a false value as described in the ENVIRONMENT section. Some options are implementation-specific, as detailed below.

OPTIONS

  Query Specification

-q str (Perl implementation only)
-query str
    Limit results to those matching the given query string.

  Document Order

-sort field (Perl implementation only)
    Sort results by the given field.

  Date Constraint

-days N
    Keep only results from the past N days.

-datetype field
    Which date field (in abbreviated form) to consider.

-mindate date
    Start of date range.

-maxdate date
    End of date range.

  Limit by Field

-field field (Perl implementation only)
    Query words individually in field.

-pairs field (Perl implementation only)
    Query overlapping word pairs.

  Spell Check

-spell (Perl implementation only)
    Correct misspellings in query.

  Publication Filters

-pub type
    abstract, clinical, english, free, historical, journal, preprint, review, structured.

-journal name
    pnas, "j bacteriol", ...

-released when
    last_week, last_month, last_year, prev_years.

  Sequence Filters

-country name
    usa:minnesota, united_kingdom, "pacific ocean", ...

-feature type
    gene, mrna, cds, mat_peptide, ...

-location type
    mitochondrion, chloroplast, plasmid, plastid.

-molecule type
    genomic, mrna, trna, rrna, ncrna.

-organism type
    animals, archaea, bacteria, eukaryotes, fungi, human, insects, mammals, plants, prokaryotes, protists, rodents, viruses, ...

-source type
    genbank, insd, pdb, pir, refseq, swissprot, tpa

-division code (shell implementation only)
    Three-letter GenBank division code: bct, con, env, est, gss, htc, htg, inv, mam, pat, phg, pln, pri, rod, sts, syn, una, vrl, or vrt.

  Gene Filters

-status alive

-type type
    coding, pseudo.

  SNP Filters

-class class
    acceptor, donor, coding, frameshift, indel, intron, missense, nonsense, synonymous.

  Biosystems Filters

-kind pathway

-pathway type
    reactome, wikipathways.

  Miscellaneous Arguments

-help
    Print usage information.

ENVIRONMENT

USE_NEW_EDIRECT
    Whether to use the current shell implementation or revert to the historical Perl implementation. Canonical true values are 1, on (case-insensitive), true (case-insensitive), and yes (case-insensitive); canonical false values are 0, off (case-insensitive), false (case-insensitive), and no (case-insensitive).

SEE ALSO
edirect(1), esearch(1), nquire(1), exclude-uid-lists(1).